XCB 1.16

Data Fields
xcb_present_redirect_notify_event_t Struct Reference
XCB Present API

xcb_present_redirect_notify_event_t More...

`#include <present.h>`

Collaboration diagram for xcb_present_redirect_notify_event_t:
[legend]

## Data Fields
uint8_t | response_type
uint8_t | extension
uint16_t | sequence
uint32_t | length
uint16_t | event_type
uint8_t | update_window
uint8_t | pad0
xcb_present_event_t | event
xcb_window_t | event_window
xcb_window_t | window
xcb_pixmap_t | pixmap
uint32_t | serial
uint32_t | full_sequence
xcb_xfixes_region_t | valid_region
xcb_xfixes_region_t | update_region
xcb_rectangle_t | valid_rect
xcb_rectangle_t | update_rect
int16_t | x_off
int16_t | y_off
xcb_randr_crtc_t | target_crtc
xcb_sync_fence_t | wait_fence
xcb_sync_fence_t | idle_fence
uint32_t | options
uint8_t | pad1 [4]
uint64_t | target_msc
uint64_t | divisor
uint64_t | remainder

## Detailed Description

xcb_present_redirect_notify_event_t

The documentation for this struct was generated from the following file:

- present.h